मुख्य सामग्री पर जाएं
GET
/
2
/
users
/
by
/
username
/
{username}
उपयोगकर्ता नाम द्वारा उपयोगकर्ता प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/users/by/username/{username} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "created_at": "2013-12-14T04:35:55Z",
    "id": "2244994945",
    "name": "X Dev",
    "protected": false,
    "username": "TwitterDev"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  }
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

पथ पैरामीटर

username
string
आवश्यक

एक उपयोगकर्ता नाम।

Pattern: ^[A-Za-z0-9_]{1,15}$

क्वेरी पैरामीटर

user.fields
enum<string>[]

दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
उदाहरण:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
expansions
enum<string>[]

विस्तार के लिए फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिनका आप विस्तार कर सकते हैं। अगर किसी फ़ील्ड में ID है, तो उसका विस्तार करके उसे पूर्ण ऑब्जेक्ट के रूप में प्राप्त किया जा सकता है।

Minimum array length: 1
उपलब्ध विकल्प:
affiliation.user_id,
most_recent_tweet_id,
pinned_tweet_id
उदाहरण:
[
"affiliation.user_id",
"most_recent_tweet_id",
"pinned_tweet_id"
]
tweet.fields
enum<string>[]

दिखाने के लिए Tweet फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
उदाहरण:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

प्रतिक्रिया

अनुरोध सफल रहा है।

data
object

X User ऑब्जेक्ट।

उदाहरण:
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

includes
object